Bug 873635 - [ml_IN] Meera and Rachana rendering issues with Harfbuzz
Summary: [ml_IN] Meera and Rachana rendering issues with Harfbuzz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: smc-fonts
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rajeesh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1023847
TreeView+ depends on / blocked
 
Reported: 2012-11-06 11:24 UTC by Ani Peter
Modified: 2016-08-01 01:31 UTC (History)
8 users (show)

Fixed In Version: smc-fonts-5.0.1-7.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1023847 (view as bug list)
Environment:
Last Closed: 2013-09-23 00:29:11 UTC
Type: Bug


Attachments (Terms of Use)
patch to fix rakar reodereing (1.75 KB, patch)
2012-11-06 12:11 UTC, Pravin Satpute
no flags Details | Diff
patch to fix rachana rakar reordereing (1.34 KB, patch)
2012-11-06 12:12 UTC, Pravin Satpute
no flags Details | Diff
this fixes ഗ്ദ്ധ്രോ string as well (2.32 KB, patch)
2012-11-07 06:43 UTC, Pravin Satpute
no flags Details | Diff

Description Ani Peter 2012-11-06 11:24:45 UTC
Description of problem:

Harfbuzz rendering with Meera and Rachana fonts fail for the following cases with test case numbers here http://silpa.org.in/pub/tests/hb/ml/hbview_test_results-2012-11-06/hbview_test_results.html:

Meera:
2. അഥൎവ്വം (ൎdot reph is positioned correctly, but വ്വം is incorrect)
15. ക്ത്ര
19. ഖ്ര
55. സ്പ്ലേ

Rachana:
1. അൎത്ഥം (dot reph not formed)
2. അഥൎവ്വം ((dot reph not formed)
15. ക്ത്ര
19. ഖ്ര
53. സ്പ്രി
54. സ്പ്രേ (Meera does it right) 

Thanks
Ani

Comment 1 Ani Peter 2012-11-06 11:26:11 UTC
Bug filed upstream: https://savannah.nongnu.org/bugs/index.php?37675

Thanks
Ani

Comment 2 Ani Peter 2012-11-06 12:10:00 UTC
Please note ഖ + ് + ര must be formed as ഖ്ര. Similar alphabets - ഠ, ഫ, ങ, ഞ, ണ.

Thanks

Comment 3 Pravin Satpute 2012-11-06 12:11:47 UTC
Created attachment 639327 [details]
patch to fix rakar reodereing

added pref.

Comment 4 Pravin Satpute 2012-11-06 12:12:24 UTC
Created attachment 639328 [details]
patch to fix rachana rakar reordereing

Comment 5 Santhosh Thottingal 2012-11-06 18:31:35 UTC
In the patch r3 xx is ര + ്- this is wrong order for the prebase ra. It should be
് + ര( xx r3)

Tried reversing it in the patch, but that cause other sequences fail(eg: ഗ്ദ്ധ്രോ, ക്ത്രോ ).

Comment 6 Pravin Satpute 2012-11-07 05:07:26 UTC
(In reply to comment #5)
> In the patch r3 xx is ര + ്- this is wrong order for the prebase ra. It
> should be
> ് + ര( xx r3)
> 
> Tried reversing it in the patch, but that cause other sequences fail(eg:
> ഗ്ദ്ധ്രോ, ക്ത്രോ ).

We have not changed sequence, just moved sequence it to appropriate feature tag. see the earlier reph in pstf feature, it was using same sequence is  -> "r3 xx"

Comment 7 Pravin Satpute 2012-11-07 06:43:03 UTC
Created attachment 639852 [details]
this fixes ഗ്ദ്ധ്രോ string as well

I am getting same rendering of ക്ത്രോ in pango and in harfbuzz-ng, so no need to fix it.

Comment 8 Pravin Satpute 2013-04-01 05:25:58 UTC
Hi Ani,

  I think upstream has done some improvement in this regards, can you just get status update from them? 

  Then might be we can look at open issues.

Comment 9 Rajeesh 2013-04-01 12:22:11 UTC
The current status is as follows:

Meera:
2. അഥൎവ്വം (ൎdot reph is positioned correctly, but വ്വം is incorrect) - not fixed
15. ക്ത്ര - fixed
19. ഖ്ര - not fixed/cannot be fixed at font level for mlym spec
55. സ്പ്ലേ - not fixed, would need glyph modification

Rachana:
1. അൎത്ഥം (dot reph not formed) - fixed, dot reph is added to Rachana, positioning not correct yet
2. അഥൎവ്വം ((dot reph not formed) - fixed, dot reph added, positioning not correct yet
15. ക്ത്ര - fixed
19. ഖ്ര - not fixed/cannot be fixed at font level for mlym spec
53. സ്പ്രി - fixed
54. സ്പ്രേ (Meera does it right) - fixed

Comment 10 Pravin Satpute 2013-04-02 04:45:58 UTC
Thanks Rajeesh for update. 
When do you expect next upstream release?

If its bit far, i think we should build smc-fonts in Fedora with patch.

Comment 11 Fedora End Of Life 2013-04-03 17:09:40 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 12 Pravin Satpute 2013-06-20 06:50:29 UTC
Hi Rajeesh,

  Any further improvement in this?

Comment 13 Rajeesh 2013-06-20 10:29:47 UTC
Hi Praveen,

As most of the issues are fixed except ഖ്ര (which cannot be fixed for mlym script), we could do a new release as is. At the same time, discussion related to  സ്പ്ലേ is going on in harfbuzz mailing list. Will discuss and update.

Comment 14 Rajeesh 2013-06-23 18:40:04 UTC
Latest status in Rachana:

1. അൎത്ഥം - fixed
2. അഥൎവ്വം - fixed
15. ക്ത്ര - fixed
19. ഖ്ര - not fixed/cannot be fixed at font level for mlym spec
53. സ്പ്രി - fixed
54. സ്പ്രേ - fixed
55. സ്പ്ലേ - not fixed, probably need a contextual lookup (not sure how to)

Comment 15 Pravin Satpute 2013-08-01 11:42:37 UTC
Rajeesh, that is really nice.

As harfbuzz is getting integrated at more and more places. (gnome, libreoffice..)  i think soonish we need upstream release of this, so that users can get latest version and smc-meera will work seamless with Harfbuzz.

Comment 16 Rajeesh 2013-08-11 18:06:41 UTC
I'm glad to announce that both Rachana and Meera are ported to new mlm2 spec and all these issues are fixed.

Even in old spec, "55. സ്പ്ലേ" is fixed too.
We're planning a new release soon, stay tuned!

Comment 17 Fedora Update System 2013-09-04 06:38:13 UTC
smc-fonts-5.0.1-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/smc-fonts-5.0.1-7.fc19

Comment 18 Fedora Update System 2013-09-04 06:39:44 UTC
smc-fonts-5.0.1-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/smc-fonts-5.0.1-7.fc20

Comment 19 Fedora Update System 2013-09-04 16:06:00 UTC
Package smc-fonts-5.0.1-7.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing smc-fonts-5.0.1-7.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15736/smc-fonts-5.0.1-7.fc20
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-09-23 00:29:11 UTC
smc-fonts-5.0.1-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Pravin Satpute 2013-09-23 03:57:12 UTC
Rajeesh, do we have this bug open in upstream?

If not i would like to keep this bug open until next upstream release.

Comment 22 Rajeesh 2013-09-23 08:11:21 UTC
Yes, see #comment1 by Ani. We'll use the upstream bug for further developments on this. Thanks Praveen.

Comment 23 Fedora Update System 2014-03-09 04:44:03 UTC
smc-fonts-5.0.1-7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.